Geo::GDAL::FFI::FieldDefn(3pm)

NAME
Geo::GDAL::FFI::FieldDefn - A field in a GDAL feature schema

SYNOPSIS

DESCRIPTION
There should not usually be any reason to directly access this method except for the ignore methods. This object is created/read from/to the Perl data structure in the CreateLayer method of a dataset, or in the constructor or schema method of FeatureDefn.

The schema of a FieldDefn is (Name, Type, Default, Subtype, Justify, Width, Precision, NotNullable).

METHODS

  SetIgnored
 $defn->SetIgnored($arg);

Ignore this field when reading features from a layer. To not ignore this field call this method with defined but false (0) argument.

  IsIgnored
Is this field ignored when reading features from a layer.

LICENSE
This software is released under the Artistic License. See perlartistic.

AUTHOR
Ari Jolma - Ari.Jolma at gmail.com

SEE ALSO
Geo::GDAL::FFI

Alien::gdal, FFI::Platypus, <http://www.gdal.org>